Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## semorg.gui.list
Class PublicPresentationListWindow

    java.lang.Object
      semorg.gui.list.ListWindow
          semorg.gui.list.PublicPresentationListWindow

    public class PublicPresentationListWindow

extends ListWindow

Provides the list window for company internal presentation data records. This class can be instantiated as normal list windows using the menu the `MainWindow` as well as popup list windows by the controls `AssociationTabControl` and `ForeignKeyConstraintSelector`.

Field Summary
`static ListWindow` | `instance` A static instance of the actual list window.

Fields inherited from class semorg.gui.list.ListWindow
`chooseButton, columns, deleteItem, editItem, filter, filterItem, mainTable, mainTableViewer, newItem, shell, sortString, toolBar`

Constructor Summary
`private` | `PublicPresentationListWindow()` Instantiates a new list window.
`` | `PublicPresentationListWindow(AssociationTabControl caller)` Instantiates a new list window as a popup.
`` | `PublicPresentationListWindow(ForeignKeyConstraintSelector caller)` Instantiates a new list window as a popup.

Method Summary
`protected void` | `createChooseButtonListener(AssociationTabControl caller)` Creates a SelectionListener for the choose button which passes the SimpleIDKeys of the selected elements to the calling AssociationTabControl by invoking the method addSelectedIds of the caller instance.
`protected void` | `createChooseButtonListener(ForeignKeyConstraintSelector caller)` Adds a listener to the mainTableViewer which inserts the doubleclicked item into the calling `ForeignKeyConstraintSelector` instance.
`protected void` | `createSpecializedMainTableListener()` Adds a listener to the mainTableViewer which opens a edit dialog to edit the doubleclicked item.
`protected void` | `createSpecializedMainTableListener(AssociationTabControl caller)` Adds a listener to the mainTableViewer which inserts the doubleclicked item into the calling `AssociationTabControl` instance.
`protected void` | `createSpecializedMainTableListener(ForeignKeyConstraintSelector caller)` Adds a listener to the mainTableViewer which inserts the doubleclicked item into the calling `ForeignKeyConstraintSelector` instance
`protected void` | `createSpecializedToolBarListeners()` Creates listeners for the toolbar buttons `ListWindow.editItem`, `ListWindow.newItem` and `ListWindow.deleteItem` which provide the functionality of the buttons.
`static void` | `createWindow(org.eclipse.swt.widgets.Shell parent)` Creates the static list window instance.
`protected Object` | `getTableInputFromDB()` Returns a vector of table class instances which will be displayed in the GUI table of the list window.
`static void` | `openList()` Opens the shell of the static list window instance.

Methods inherited from class semorg.gui.list.ListWindow
`addUpdateListener, createListToolbarBasics, createTableBasics, setActive, setVisible, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    public static ListWindow instance

  A static instance of the actual list window. It is used to update the input of the list window when a object gets changes in the `PublicPresentationWindow`.

Constructor Detail

### PublicPresentationListWindow

    private PublicPresentationListWindow()

  Instantiates a new list window.

### PublicPresentationListWindow

    public PublicPresentationListWindow(AssociationTabControl caller)

  Instantiates a new list window as a popup.

  Parameters:
    `caller` - the `AssociationTabControl` instance which wants to create this list window

### PublicPresentationListWindow

    public PublicPresentationListWindow(ForeignKeyConstraintSelector caller)

  Instantiates a new list window as a popup.

  Parameters:
    `caller` - the `ForeignKeyConstraintSelector` instance which wants to create this list window

Method Detail

### createSpecializedMainTableListener

    protected void createSpecializedMainTableListener()

  Adds a listener to the mainTableViewer which opens a edit dialog to edit the doubleclicked item.

  Specified by:
    `createSpecializedMainTableListener` in class `ListWindow`
  See Also:
    `ListWindow.createSpecializedMainTableListener()`

### createSpecializedMainTableListener

    protected void createSpecializedMainTableListener(AssociationTabControl caller)

  Adds a listener to the mainTableViewer which inserts the doubleclicked item into the calling `AssociationTabControl` instance.

  Specified by:
    `createSpecializedMainTableListener` in class `ListWindow`
  Parameters:
    `caller` - the `AssociationTabControl` instance which called the actual list window
  See Also:
    `ListWindow.createSpecializedMainTableListener(semorg.gui.util.AssociationTabControl)`

### createSpecializedMainTableListener

    protected void createSpecializedMainTableListener(ForeignKeyConstraintSelector caller)

  Adds a listener to the mainTableViewer which inserts the doubleclicked item into the calling `ForeignKeyConstraintSelector` instance. *

  Specified by:
    `createSpecializedMainTableListener` in class `ListWindow`
  Parameters:
    `caller` - the `ForeignKeyConstraintSelector` instance which called the actual list window
  See Also:
    `ListWindow.createSpecializedMainTableListener(semorg.gui.util.ForeignKeyConstraintSelector)`

### createSpecializedToolBarListeners

    protected void createSpecializedToolBarListeners()

  Description copied from class: `ListWindow`
  Creates listeners for the toolbar buttons `ListWindow.editItem`, `ListWindow.newItem` and `ListWindow.deleteItem` which provide the functionality of the buttons. These listeners opens edit windows or deleting dialogs and invoke the deleting or creating methods.

  Specified by:
    `createSpecializedToolBarListeners` in class `ListWindow`
  See Also:
    `ListWindow.createSpecializedToolBarListeners()`

### createChooseButtonListener

    protected void createChooseButtonListener(AssociationTabControl caller)

  Description copied from class: `ListWindow`
  Creates a SelectionListener for the choose button which passes the SimpleIDKeys of the selected elements to the calling AssociationTabControl by invoking the method addSelectedIds of the caller instance.

  Specified by:
    `createChooseButtonListener` in class `ListWindow`
  Parameters:
    `caller` - the AssociationTabControl instance which called the list window.
  See Also:
    `ListWindow.createChooseButtonListener(semorg.gui.util.AssociationTabControl)`

### createChooseButtonListener

    protected void createChooseButtonListener(ForeignKeyConstraintSelector caller)

  Adds a listener to the mainTableViewer which inserts the doubleclicked item into the calling `ForeignKeyConstraintSelector` instance.

  Specified by:
    `createChooseButtonListener` in class `ListWindow`
  Parameters:
    `caller` - the ForeignKeyConstraintSelector instance which called the list window.
  See Also:
    `ListWindow.createSpecializedMainTableListener(semorg.gui.util.ForeignKeyConstraintSelector)`

### openList

    public static void openList()

  Opens the shell of the static list window instance.

### getTableInputFromDB

    protected Object getTableInputFromDB()

  Description copied from class: `ListWindow`
  Returns a vector of table class instances which will be displayed in the GUI table of the list window. The filter and sorting preferences are also consindered.

  Specified by:
    `getTableInputFromDB` in class `ListWindow`
  Returns:
    a vector filled with table class instances according to the current sorting and filter preferences.
  See Also:
    `ListWindow.getTableInputFromDB()`

### createWindow

    public static void createWindow(org.eclipse.swt.widgets.Shell parent)

  Creates the static list window instance.

  Parameters:
    `parent` - the parent shell.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD